/*****************************************************************************
*   Presentation: 300 - Using Event Notifications in SQL Server 2005-2008
*   FileName:  	  01 - Event Notifications Basic Components.sql
*
*   Summary: Demonstrates the basic components for Event Notifications.
*   Date: September 7, 2011 
*
*   SQL Server Versions:
*         2005, 2008, 2008 R2
*         
******************************************************************************
*   Copyright (C) 2011 Jonathan M. Kehayias, SQLskills.com
*   All rights reserved. 
*
*   For more scripts and sample code, check out 
*      http://sqlskills.com/blogs/jonathan
*
*   You may alter this code for your own *non-commercial* purposes. You may
*   republish altered code as long as you include this copyright and give 
*	due credit. 
*
*
*   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
*   ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
*   TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
*   PARTICULAR PURPOSE. 
*
******************************************************************************/

-- Create datbaase
CREATE DATABASE [EventNotificationsDB]
GO

-- Enable Service Broker
ALTER DATABASE [EventNotificationsDB]
SET ENABLE_BROKER;
GO

USE [EventNotificationsDB];
GO

--  Create a service broker queue to hold the events
CREATE QUEUE EventNotificationQueue
GO

--  Create a service broker service receive the events
CREATE SERVICE EventNotificationService
    ON QUEUE EventNotificationQueue ([http://schemas.microsoft.com/SQL/Notifications/PostEventNotification])
GO

--  Create a service broker route for the service
CREATE ROUTE [EventNotificationRoute]
    WITH SERVICE_NAME = 'EventNotificationService',
    ADDRESS = 'LOCAL';
GO

-- Create the event notification for ERRORLOG trace events on the service
CREATE EVENT NOTIFICATION CaptureErrorLogEvents
    ON SERVER
    WITH FAN_IN
    FOR ERRORLOG
    TO SERVICE 'EventNotificationService', 'current database';
GO
