/*****************************************************************************
*   Presentation: 300 - Using Event Notifications in SQL Server 2005-2008
*   FileName:  	  07 - Automating with Internal Activation.sql
*
*   Summary: Demonstrates configuring the Service Broker queue for internal
*            activation using the stored procedure.
*
*   Date: September 7, 2011 
*
*   SQL Server Versions:
*         2005, 2008, 2008 R2
*         
******************************************************************************
*   Copyright (C) 2011 Jonathan M. Kehayias, SQLskills.com
*   All rights reserved. 
*
*   For more scripts and sample code, check out 
*      http://sqlskills.com/blogs/jonathan
*
*   You may alter this code for your own *non-commercial* purposes. You may
*   republish altered code as long as you include this copyright and give 
*	due credit. 
*
*
*   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
*   ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
*   TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
*   PARTICULAR PURPOSE. 
*
******************************************************************************/

USE [EventNotificationsDB]
GO

--  Alter the Queue to add Activation Procedure
ALTER QUEUE EventNotificationQueue
WITH 
 ACTIVATION -- Setup Activation Procedure
	(STATUS=ON,
	 PROCEDURE_NAME = [ProcessEventNotifications],  -- Procedure to execute
	 MAX_QUEUE_READERS = 1, -- maximum concurrent executions of the procedure
	 EXECUTE AS OWNER) -- account to execute procedure under
GO

-- Test the Event Notification by raising an Error
RAISERROR (N'Test ERRORLOG Event Notifications', 10, 1)WITH LOG;

-- View Queue Contents
SELECT *
FROM EventNotificationQueue;

-- Test the Event Notification by raising an Error
RAISERROR (N'Test ERRORLOG Event Notifications', 16, 1) WITH LOG;

-- View Queue Contents
SELECT *
FROM EventNotificationQueue;

