/*****************************************************************************
*   Presentation: 300 - Using Event Notifications in SQL Server 2005-2008
*   FileName:  	  09.1 - Trigger Serializable Deadlock.sql
*
*   Summary: Creates a deadlock for demonstrating automation of 
*            deadlock notifications with Event Notifications.
*
*          RUN THIS CODE IN TWO SEPARATE WINDOWS!
*
*   Date: September 7, 2011 
*
*   SQL Server Versions:
*         2005, 2008, 2008 R2
*         
******************************************************************************
*   Copyright (C) 2011 Jonathan M. Kehayias, SQLskills.com
*   All rights reserved. 
*
*   For more scripts and sample code, check out 
*      http://sqlskills.com/blogs/jonathan
*
*   You may alter this code for your own *non-commercial* purposes. You may
*   republish altered code as long as you include this copyright and give 
*	due credit. 
*
*
*   THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
*   ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
*   TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
*   PARTICULAR PURPOSE. 
*
******************************************************************************/

USE AdventureWorks
GO
DECLARE @NewSales XML
SET @NewSales = (SELECT RevisionNumber, OrderDate, DueDate, ShipDate, Status, 
					OnlineOrderFlag, PurchaseOrderNumber, AccountNumber, 105 AS CustomerID, 
					ContactID, SalesPersonID, TerritoryID, BillToAddressID, ShipToAddressID,
					ShipMethodID, CreditCardID, CreditCardApprovalCode, CurrencyRateID,
					SubTotal, TaxAmt, Freight, Comment
				 FROM Sales.SalesOrderHeader  WITH (NOLOCK)
				 WHERE CustomerID = 106
				 FOR XML PATH('SalesOrderHeader'), ROOT('SalesOrders'), TYPE)

WHILE 1=1
BEGIN
	EXEC dbo.SerializableDeadlock @NewSales
END